<div class="container-flex">
  <table class="table">
    <thead>
      <tr>
        <th>#</th>
        <th>Sender</th>
        <th>Recipients</th>
        <th>Subject</th>
        <th>body</th>
        <th>date</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngIf="mails && mails.length <= 0 && !loader">
        <td></td>
        <td>NO DATA FOUND</td>
      </tr>
      <tr *ngIf="mails && mails.length <= 0 && loader">
        <td></td>
        <td>Loading data ... </td>
      </tr>

      <tr *ngFor="let item of mails; let i = index">
        <td>
          <strong>{{ i + 1 }}</strong>
        </td>

        <td>
          <strong *ngFor="let from of item?.from">{{ from.value }}</strong>
        </td>

        <td>
          <strong *ngFor="let recipients of item?.recipients">{{
            recipients.value
          }}</strong>
        </td>
        <td>
          {{ item?.subject }}
        </td>
        <td>
          {{ item?.body }}
        </td>

        <td>
          {{ item?.recieved_datetime[0]?.value | date }}
        </td>
      </tr>
    </tbody>
  </table>

  <mat-paginator
    [length]="resultSizeEstimated"
    [pageSize]="100"
    (page)="pageChange($event)"
  >
  </mat-paginator>
</div>
